#!/usr/bin/env python

from germanium.static import *
import os

def GmailButton(title):
    return Element("div",
                   exact_text=title,
                   exact_attributes={'role': 'button'})

open_browser("chrome")
get_germanium().maximize_window()

go_to('http://mail.google.com')
type_keys(os.environ['GMAIL_USER'],
          InputText('Enter your email'))
click(Button('Next'))

wait(InputText('Password'))
type_keys(os.environ['GMAIL_PASSWORD'],
          InputText('Password'))
click(Button('Sign in'))

wait(GmailButton('COMPOSE'))

assert Text('Your message has been sent').not_exists()

click(GmailButton('COMPOSE'))

wait(Text('To').below(Text('New Message')))
type_keys(os.environ['GMAIL_USER'] + "<cr>")

click(InputText('Subject').below(Text('New Message')))
type_keys('Germanium is Awesome!')

# we're goint to TAB change into the message body
type_keys('<tab>')

type_keys('Germanium <c-i>is<c-i> <c-b>Awesome<c-b>!')

click(GmailButton('Send'))

wait(Text('Your message has been sent'))

close_browser()

